Bug 11014 - In some case evms can't reread new disk structure without evms_deactivate
: In some case evms can't reread new disk structure without evms_deactivate
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-05 10:55 by
Modified: 2010-10-30 22:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-05 10:55:17
Не знаю в чем баг, в evms или guile-evms, но с завидной регулярностью я
нарываюсь на ситуацию, когда после разбиения диска в инсталяторе нельзя перейти
на следующий шаг. Помогает следующий комплект шаманских действий:

1. Прибить Х-ы с инсталятором
2. Запустить с флешки evms_deactivate
3. Запустить инсталятор

Соотвественно было бы правильным добавить кнопку "Перечитать струтуры с диска"
с
выполнение evms_deactivate
------- Comment #1 From 2007-03-05 13:24:24 -------
действие 'перечитать структуры' производится в конце работы /vm.
чтобы не создавать впечатления рассказа о подземном стуке,
предлагаю выяснить, при каких именно манипуляциях происходит
описываемое.
------- Comment #2 From 2007-03-05 14:21:28 -------
Последний раз я это словил на чистом винте на домашней машине. Разбил диск,
поставил точки монтирования, применил, нажал дальше... Все, ошибка с
трудновоспроизводимым числом - я его приводил в расылке. После прибиения
инсталятора и применения читкода "evms_deactivate" я смог пройти этот квест без
лишней перезагрузки компа.
------- Comment #3 From 2007-03-05 15:00:57 -------
это какая бета была ?
------- Comment #4 From 2007-03-05 15:09:31 -------
Это случай был на 0219, но такой же я ловил на предыдущей... Последнюю пока не
ловил на такой ошибке... 
------- Comment #5 From 2007-04-01 20:35:38 -------
Серж, я вчера ловил на 20030330 при работе с LVM.  Присоединяюсь к просьбе.
------- Comment #6 From 2007-04-15 16:18:27 -------
За последние неделю-две несколько раз оказывался в ситуации, когда reread
пригодилось бы (последний -- этим утром, lilo не встало на degraded raid1,
который с чего-то саморазвалился -- поводы могли быть, но оно неважно,
поскольку
пустышка ещё).

Можно сделать?
------- Comment #7 From 2010-10-30 22:49:45 -------
apparently wontfix...